### Function

# ICalGLib Value encode_ical_string

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_value_encode_ical_string (
      const gchar* szText
    )

#### Description [src]

Encodes a character string in ical format, escape certain characters, etc.

Available since: 1.0

#### Parameters

`szText`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The encoded string. NULL if fail.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.